#ifndef DATAMANAGERTHREAD_H
#define DATAMANAGERTHREAD_H
#include <QThread>
#include "datamanagerbase.h"

class DataManagerThread : public QThread
{
    Q_OBJECT
public:
    DataManagerThread();
    void setManager(DataManagerBase* m){manager = m;}
    int startManager();
    void run() override;

    void exitThread(){isExit = true;}

signals:
    void managerFinished();
private:
    bool isExit;
    bool toManager;
    DataManagerBase* manager;
};

#endif // DATAMANAGERTHREAD_H
